/*********************************************************************
 * 
 *   Copyright (C) 2001-2004 Torsten Marek
 * 
 * Filename:      flactag.hpp
 * Description:   definition of the FLAC tageditor class
 * Author:        Torsten Marek <shlomme@gmx.net>
 *                
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 * 
 ********************************************************************/

#ifndef FLACTAG_HPP
#define FLACTAG_HPP

#include <stdio.h>
#include <FLAC++/metadata.h>
#include "vorbisComment/vcomment.hpp"

class flacTag: public vorbisComment
{
public:
	flacTag(const char*);
	~flacTag();
    // get extension
    string extension() const 
    {
        return string("flac");
    }
	int writeTag();
private:
	int readFlacTag();
};

#endif // FLACTAG_HPP

